Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for ClickHouse®
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Yandex Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • MlModel
  1. API reference
  2. REST
  3. MlModel
  4. List

Managed Service for ClickHouse API, REST: MlModel.List

Written by
Yandex Cloud
Updated at June 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • MlModel

Retrieves the list of machine learning models in the specified cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-clickhouse/v1/clusters/{clusterId}/mlModels

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the cluster that models belongs to.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a ListMlModelsResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

Default value: 100.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListMlModelsResponse.nextPageToken returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "mlModels": [
    {
      "name": "string",
      "clusterId": "string",
      "type": "string",
      "uri": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

mlModels[]

MlModel

List of models in the specified cluster.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
the specified ListMlModelsRequest.pageSize, use next_page_token as the value
for the ListMlModelsRequest.pageToken parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

MlModelMlModel

Field

Description

name

string

Name of the the model.

clusterId

string

ID of the ClickHouse cluster that the model belongs to.

type

enum (MlModelType)

Type of the model.

  • ML_MODEL_TYPE_CATBOOST: CatBoost model.

uri

string

Model file URL. You can only use models stored in Object Storage.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.